﻿Type=Activity
Version=6.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: false
	#IncludeTitle: true
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim posSelected As Int

End Sub

Sub Globals
	
	Dim GridView As PhotoGridView
	Dim b As BitmapDrawable
End Sub

Sub Activity_Create(FirstTime As Boolean)

	Activity.AddMenuItem("Standard Effect","a16")
	Activity.AddMenuItem("Grow Effect","a0")
	Activity.AddMenuItem("Cards Effect","a01")
	Activity.AddMenuItem("Curl Effect","a02")
	Activity.AddMenuItem("Wave Effect","a03")
	Activity.AddMenuItem("Flip Effect","a04")
	Activity.AddMenuItem("Fly Effect","a05")
	Activity.AddMenuItem("Reverse Fly Effect","a06")
	Activity.AddMenuItem("Helix Effect","a07")
	Activity.AddMenuItem("Fan Effect","a08")
	Activity.AddMenuItem("Tilt Effect","a09")
	Activity.AddMenuItem("Zipper Effect","a10")
	Activity.AddMenuItem("Fade Effect","a11")
	Activity.AddMenuItem("Twirl Effect","a12")
	Activity.AddMenuItem("Slide In Effect","a13")
	Activity.AddMenuItem("Reverse Twirl Effect","a14")
	Activity.AddMenuItem("Puzzle Effect","a15")
	Activity.AddMenuItem("Pause On Fling","a")
	Activity.AddMenuItem("Pause On Scroll","b")
	Activity.AddMenuItem("Show Image From Media Store","e")
	Activity.AddMenuItem("Set Friction","fri")
	Activity.AddMenuItem("Exit","exit")
	
	Activity.Title = "PhotoGridView by G.Salvi"
	
	GridView.Initialize("GridView")

	GridView.AddThisView
	
	GridView.ShouldOnlyAnimateFling = True
	
	GridView.TransitionEffect = GridView.TransitionEffect.GROW

	GridView.ItemWidth = 100dip
	
	GridView.ItemHeight = 100dip
'	
	GridView.HorizontalSpacing = 2dip
	
	GridView.VerticalSpacing = 2dip
	
	GridView.Gravity = Gravity.CENTER
	
	GridView.ColumnWidth = 100dip
	
	GridView.StretchMode = GridView.StretchMode.STRETCH_COLUMN_WIDTH
	
	GridView.NumColumns = 2

	GridView.TransitionDuration = 400
	
	GridView.MaxAnimationVelocity = 300
	
	GridView.SimulateGridWithList = True

	GridView.ScaleType = GridView.ScaleType.Center_Crop
	
	GridView.CacheOnDisk = True
	
	GridView.CacheInMemory = True
	
	GridView.ProgressBarIndeterminate = False
	
	GridView.ProgressBarVisible = True
	
	b.Initialize(LoadBitmap(File.DirAssets,"b.png"))
	
	GridView.Background = b
	
	GridView.ShowFromBucket(Main.path,False)
	
	
End Sub

#If JAVA
	
	import it.giuseppe.salvi.gridview.library.core.uil.*;

	
	public void _onResume() {
		if(ImageLoader.getInstance().isInited()){
			ImageLoader.getInstance().resume();
		}
	}
	
	public void _onPause() {
		if(ImageLoader.getInstance().isInited()){
			ImageLoader.getInstance().pause();
		}
	}
	
	public void _onDestroy() {
		if(ImageLoader.getInstance().isInited()){
			ImageLoader.getInstance().destroy();
		}
	}
	
	public void _onStop() {
		if(ImageLoader.getInstance().isInited()){
			ImageLoader.getInstance().stop();
		}
	}
	
	public void _onStart() {
		if(ImageLoader.getInstance().isInited()){
			ImageLoader.getInstance().resume();
		}
	}
#End If

Sub a0_Click
	GridView.TransitionEffect = GridView.TransitionEffect.GROW
End Sub
Sub a01_Click
	GridView.TransitionEffect = GridView.TransitionEffect.CARDS
End Sub
Sub a02_Click
	GridView.TransitionEffect = GridView.TransitionEffect.CURL
End Sub
Sub a03_Click
	GridView.TransitionEffect = GridView.TransitionEffect.WAVE
End Sub
Sub a04_Click
	GridView.TransitionEffect = GridView.TransitionEffect.FLIP
End Sub
Sub a05_Click
	GridView.TransitionEffect = GridView.TransitionEffect.FLY
End Sub
Sub a06_Click
	GridView.TransitionEffect = GridView.TransitionEffect.REVERSE_FLY
End Sub
Sub a07_Click
	GridView.TransitionEffect = GridView.TransitionEffect.HELIX
End Sub
Sub a08_Click
	GridView.TransitionEffect = GridView.TransitionEffect.FAN
End Sub
Sub a09_Click
	GridView.TransitionEffect = GridView.TransitionEffect.TILT
End Sub
Sub a10_Click
	GridView.TransitionEffect = GridView.TransitionEffect.ZIPPER
End Sub
Sub a11_Click
	GridView.TransitionEffect = GridView.TransitionEffect.FADE
End Sub
Sub a12_Click
	GridView.TransitionEffect = GridView.TransitionEffect.TWIRL
End Sub
Sub a13_Click
	GridView.TransitionEffect = GridView.TransitionEffect.SLIDE_IN
End Sub
Sub a14_Click
	GridView.TransitionEffect = GridView.TransitionEffect.REVERSE_TWIRL
End Sub
Sub a15_Click
	GridView.TransitionEffect = GridView.TransitionEffect.PUZZLE
End Sub
Sub a16_Click
	GridView.TransitionEffect = GridView.TransitionEffect.STANDARD
End Sub

Sub a_Click
	
	If GridView.isPauseOnFling = True Then
		GridView.PauseOnFling = False
	Else
		GridView.PauseOnFling = True
	End If

End Sub

Sub b_Click

	If GridView.isPauseOnScroll = True Then
		GridView.PauseOnScroll = False
	Else
		GridView.PauseOnScroll = True
	End If

End Sub


Sub fri_Click
	
	If (GridView.Friction) Then
		GridView.Friction = False
	Else
		GridView.Friction = True
	End If
	
End Sub

Sub exit_Click

	ExitApplication
	
End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean
	If KeyCode = KeyCodes.KEYCODE_BACK Then
		Activity.Finish
		Return True
	Else
		Return False
	End If
End Sub

Sub GridView_ItemClick(Position As Int, Value As Object)

	posSelected = Position
	B4AMediaBucket_PhotoViewPager_Programmatically.a.Initialize
	B4AMediaBucket_PhotoViewPager_Programmatically.a.AddAll(GridView.GetArrayList )
	StartActivity(B4AMediaBucket_PhotoViewPager_Programmatically)

End Sub


Sub GridView_ItemLongClick(Position As Int, Value As Object)

	Activity.Finish

End Sub

Sub Activity_Resume
End Sub
Sub Activity_Pause(UserClosed As Boolean)
End Sub
